MSWParserInternal::Picture Struct Reference

Internal: the picture of a MSWParser. More...

## Classes

struct | Zone

## Public Member Functions

| Picture ()

## Public Attributes

Box2i | m_dim
| the dimension More...
std::vector< Zone > | m_picturesList
| the list of picture More...
int | m_flag
| an unknown flag More...

## Friends

std::ostream & | operator<< (std::ostream &o, Picture const &pict)
| operator<< More...

## Detailed Description

Internal: the picture of a MSWParser.

## Constructor & Destructor Documentation

MSWParserInternal::Picture::Picture | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Picture const & | pict
| ) |  |

friend

operator<<

## Member Data Documentation

Box2i MSWParserInternal::Picture::m_dim

the dimension

Referenced by MSWParser::readPicture(), and MSWParser::sendPicture().

int MSWParserInternal::Picture::m_flag

an unknown flag

Referenced by MSWParser::readPicture().

std::vector<Zone> MSWParserInternal::Picture::m_picturesList

the list of picture

Referenced by MSWParser::sendPicture().

The documentation for this struct was generated from the following file:

- MSWParser.cxx